> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a specific cell instance by id

> Deletes an existing cell instance identified by its ID, including:
- All measurements (cascades to delete measurement steps)
- All associated data files in storage bucket for all measurements
- The instance itself



## OpenAPI

````yaml https://api.ionworks.com/openapi.json delete /cell_instances/{cell_instance_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cell_instances/{cell_instance_id}:
    delete:
      tags:
        - Cell Instances
      summary: Delete a specific cell instance by id
      description: |-
        Deletes an existing cell instance identified by its ID, including:
        - All measurements (cascades to delete measurement steps)
        - All associated data files in storage bucket for all measurements
        - The instance itself
      operationId: delete_cell_instance_cell_instances__cell_instance_id__delete
      parameters:
        - name: cell_instance_id
          in: path
          required: true
          schema:
            type: string
            title: Cell Instance Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````